classification
Title: Python 2.5.1 fails to build on AIX
Type: enhancement Stage: test needed
Components: Build Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: loewis, sable, tepperly
Priority: low Keywords:

Created on 2007-07-18 17:11 by tepperly, last changed 2010-08-31 13:42 by sable. This issue is now closed.

Messages (3)
msg32525 - (view) Author: Tom Epperly (tepperly) Date: 2007-07-18 17:11
 ./configure --prefix=/usr/casc/babel/apps/aix --enable-shared  --disable-ipv6
checking MACHDEP... aix5
checking EXTRAPLATDIR...
checking for --without-gcc...
checking for gcc... cc_r
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether cc_r accepts -g... yes
checking for cc_r option to accept ANSI C... none needed
checking for --with-cxx-main=<compiler>... no
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for AIX... yes
checking for --with-suffix...
checking for case-insensitive build directory... no
checking LIBRARY... libpython$(VERSION).a
checking LINKCC... $(srcdir)/Modules/makexp_aix Modules/python.exp . $(LIBRARY); $(PURIFY) $(MAINCC)
checking for --enable-shared... yes
checking for --enable-profiling...
checking LDLIBRARY... libpython$(VERSION).a
checking for ranlib... ranlib
checking for ar... ar
checking for svnversion... not-found
checking for a BSD-compatible install... ./install-sh -c
checking for --with-pydebug... no
checking whether cc_r accepts -OPT:Olimit=0... no
checking whether cc_r accepts -Olimit 1500... no
checking whether pthreads are available without options... yes
checking whether newxlC also accepts flags for thread support... no
checking for --enable-framework... no
checking for dyld... no
checking SO... .so
checking LDSHARED... $(BINLIBDEST)/config/ld_so_aix $(CC) -bI:$(BINLIBDEST)/config/python.exp
checking CCSHARED...
checking LINKFORSHARED... -Wl,-bE:Modules/python.exp -lld
checking CFLAGSFORSHARED...
checking SHLIBS... $(LIBS)
checking for dlopen in -ldl... yes
checking for shl_load in -ldld... no
checking for library containing sem_init... none required
checking for textdomain in -lintl... yes
checking for build directories... done
configure: creating ./config.status
config.status: creating Makefile.pre
config.status: creating Modules/Setup.config
config.status: creating pyconfig.h
creating Modules/Setup
creating Modules/Setup.local
creating Makefile
bash-2.05a$ make
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Modules/python.o ./Modules/python.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Modules/_typesmodule.o Modules/_typesmodule.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/acceler.o Parser/acceler.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/grammar1.o Parser/grammar1.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/listnode.o Parser/listnode.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/node.o Parser/node.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/parser.o Parser/parser.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/parsetok.o Parser/parsetok.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/bitset.o Parser/bitset.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/metagrammar.o Parser/metagrammar.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/firstsets.o Parser/firstsets.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/grammar.o Parser/grammar.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/pgen.o Parser/pgen.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/myreadline.o Parser/myreadline.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/tokenizer.o Parser/tokenizer.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/abstract.o Objects/abstract.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/boolobject.o Objects/boolobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/bufferobject.o Objects/bufferobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/cellobject.o Objects/cellobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/classobject.o Objects/classobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/cobject.o Objects/cobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/codeobject.o Objects/codeobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/complexobject.o Objects/complexobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/descrobject.o Objects/descrobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/enumobject.o Objects/enumobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/exceptions.o Objects/exceptions.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/genobject.o Objects/genobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/fileobject.o Objects/fileobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/floatobject.o Objects/floatobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/frameobject.o Objects/frameobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/funcobject.o Objects/funcobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/intobject.o Objects/intobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/iterobject.o Objects/iterobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/listobject.o Objects/listobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/longobject.o Objects/longobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/dictobject.o Objects/dictobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/methodobject.o Objects/methodobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/moduleobject.o Objects/moduleobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/object.o Objects/object.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/obmalloc.o Objects/obmalloc.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/rangeobject.o Objects/rangeobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/setobject.o Objects/setobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/sliceobject.o Objects/sliceobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/stringobject.o Objects/stringobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/structseq.o Objects/structseq.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/tupleobject.o Objects/tupleobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/typeobject.o Objects/typeobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/weakrefobject.o Objects/weakrefobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/unicodeobject.o Objects/unicodeobject.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Objects/unicodectype.o Objects/unicodectype.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/Python-ast.o Python/Python-ast.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/asdl.o Python/asdl.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/ast.o Python/ast.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/bltinmodule.o Python/bltinmodule.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/ceval.o Python/ceval.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/mysnprintf.o Python/mysnprintf.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/tokenizer_pgen.o Parser/tokenizer_pgen.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/printgrammar.o Parser/printgrammar.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Parser/pgenmain.o Parser/pgenmain.c
        cc_r -DNDEBUG -O   Parser/acceler.o  Parser/grammar1.o  Parser/listnode.o  Parser/node.o  Parser/parser.o  Parser/parsetok.o  Parser/bitset.o  Parser/metagrammar.o  Parser/firstsets.o  Parser/grammar.o  Parser/pgen.o Objects/obmalloc.o  Python/mysnprintf.o  Parser/tokenizer_pgen.o  Parser/printgrammar.o  Parser/pgenmain.o -ldl  -o Parser/pgen
        Parser/pgen ./Grammar/Grammar ./Include/graminit.h ./Python/graminit.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/compile.o Python/compile.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/codecs.o Python/codecs.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/errors.o Python/errors.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/frozen.o Python/frozen.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/frozenmain.o Python/frozenmain.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/future.o Python/future.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/getargs.o Python/getargs.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/getcompiler.o Python/getcompiler.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/getcopyright.o Python/getcopyright.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/getmtime.o Python/getmtime.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -DPLATFORM='"aix5"' -o Python/getplatform.o ./Python/getplatform.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/getversion.o Python/getversion.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/graminit.o Python/graminit.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/import.o Python/import.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -I. -o Python/importdl.o ./Python/importdl.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/marshal.o Python/marshal.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/modsupport.o Python/modsupport.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/mystrtoul.o Python/mystrtoul.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/pyarena.o Python/pyarena.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/pyfpe.o Python/pyfpe.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/pystate.o Python/pystate.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/pythonrun.o Python/pythonrun.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/structmember.o Python/structmember.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/symtable.o Python/symtable.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/sysmodule.o Python/sysmodule.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/traceback.o Python/traceback.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/getopt.o Python/getopt.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/pystrtod.o Python/pystrtod.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/dynload_shlib.o Python/dynload_shlib.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Python/thread.o Python/thread.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Modules/config.o Modules/config.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -DPYTHONPATH='":plat-aix5:lib-tk"'  -DPREFIX='"/usr/casc/babel/apps/aix"'  -DEXEC_PREFIX='"/usr/casc/babel/apps/aix"'  -DVERSION='"2.5"'  -DVPATH='""'  -o Modules/getpath.o ./Modules/getpath.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Modules/main.o Modules/main.c
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -o Modules/gcmodule.o Modules/gcmodule.c
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/threadmodule.c -o Modules/threadmodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/signalmodule.c -o Modules/signalmodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/posixmodule.c -o Modules/posixmodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/errnomodule.c -o Modules/errnomodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/pwdmodule.c -o Modules/pwdmodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/_sre.c -o Modules/_sre.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/_codecsmodule.c -o Modules/_codecsmodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/zipimport.c -o Modules/zipimport.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/symtablemodule.c -o Modules/symtablemodule.o
        cc_r  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE  -c ./Modules/xxsubtype.c -o Modules/xxsubtype.o
        cc_r -c  -DNDEBUG -O  -I. -I./Include   -DPy_BUILD_CORE -DSVNVERSION=\"`LC_ALL=C echo exported`\" -o Modules/getbuildinfo.o ./Modules/getbuildinfo.c
        rm -f libpython2.5.a
        ar cr libpython2.5.a Modules/getbuildinfo.o
        ar cr libpython2.5.a Modules/_typesmodule.o
        ar cr libpython2.5.a Parser/acceler.o  Parser/grammar1.o  Parser/listnode.o  Parser/node.o  Parser/parser.o  Parser/parsetok.o  Parser/bitset.o  Parser/metagrammar.o  Parser/firstsets.o  Parser/grammar.o  Parser/pgen.o Parser/myreadline.o Parser/tokenizer.o
        ar cr libpython2.5.a Objects/abstract.o  Objects/boolobject.o  Objects/bufferobject.o  Objects/cellobject.o  Objects/classobject.o  Objects/cobject.o  Objects/codeobject.o  Objects/complexobject.o  Objects/descrobject.o  Objects/enumobject.o  Objects/exceptions.o  Objects/genobject.o  Objects/fileobject.o  Objects/floatobject.o  Objects/frameobject.o  Objects/funcobject.o  Objects/intobject.o  Objects/iterobject.o  Objects/listobject.o  Objects/longobject.o  Objects/dictobject.o  Objects/methodobject.o  Objects/moduleobject.o  Objects/object.o  Objects/obmalloc.o  Objects/rangeobject.o  Objects/setobject.o  Objects/sliceobject.o  Objects/stringobject.o  Objects/structseq.o  Objects/tupleobject.o  Objects/typeobject.o  Objects/weakrefobject.o  Objects/unicodeobject.o Objects/unicodectype.o
        ar cr libpython2.5.a Python/Python-ast.o  Python/asdl.o  Python/ast.o  Python/bltinmodule.o  Python/ceval.o  Python/compile.o  Python/codecs.o  Python/errors.o  Python/frozen.o  Python/frozenmain.o  Python/future.o  Python/getargs.o  Python/getcompiler.o  Python/getcopyright.o  Python/getmtime.o  Python/getplatform.o  Python/getversion.o  Python/graminit.o  Python/import.o  Python/importdl.o  Python/marshal.o  Python/modsupport.o  Python/mystrtoul.o  Python/mysnprintf.o  Python/pyarena.o  Python/pyfpe.o  Python/pystate.o  Python/pythonrun.o  Python/structmember.o  Python/symtable.o  Python/sysmodule.o  Python/traceback.o  Python/getopt.o  Python/pystrtod.o  Python/dynload_shlib.o    Python/thread.o
        ar cr libpython2.5.a Modules/config.o  Modules/getpath.o  Modules/main.o  Modules/gcmodule.o
        ar cr libpython2.5.a Modules/threadmodule.o  Modules/signalmodule.o  Modules/posixmodule.o  Modules/errnomodule.o  Modules/pwdmodule.o  Modules/_sre.o Modules/_codecsmodule.o  Modules/zipimport.o  Modules/symtablemodule.o  Modules/xxsubtype.o
        ranlib libpython2.5.a
        ./Modules/makexp_aix Modules/python.exp . libpython2.5.a;  cc_r  -Wl,-bE:Modules/python.exp -lld -o python  Modules/python.o  libpython2.5.a -ldl    -lm                                                                                
        case $MAKEFLAGS in  *-s*)  CC='cc_r' LDSHARED='./Modules/ld_so_aix cc_r -bI:Modules/python.exp' OPT='-DNDEBUG -O' ./python -E ./setup.py -q build;;  *)  CC='cc_r' LDSHARED='./Modules/ld_so_aix cc_r -bI:Modules/python.exp' OPT='-DNDEBUG -O' ./python -E ./setup.py build;;  esac
running build
running build_ext
building '_struct' extension
creating build
creating build/temp.aix-5.3-2.5
creating build/temp.aix-5.3-2.5/usr
creating build/temp.aix-5.3-2.5/usr/casc
creating build/temp.aix-5.3-2.5/usr/casc/babel
creating build/temp.aix-5.3-2.5/usr/casc/babel/apps
creating build/temp.aix-5.3-2.5/usr/casc/babel/apps/Python-2.5.1
creating build/temp.aix-5.3-2.5/usr/casc/babel/apps/Python-2.5.1/Modules
cc_r -DNDEBUG -O -I. -I/usr/casc/babel/apps/Python-2.5.1/./Include -I/usr/casc/babel/apps/aix/include -I./Include -I. -I/usr/local/include -I/usr/casc/babel/apps/Python-2.5.1/Include -I/usr/casc/babel/apps/Python-2.5.1 -c /usr/casc/babel/apps/Python-2.5.1/Modules/_struct.c -o build/temp.aix-5.3-2.5/usr/casc/babel/apps/Python-2.5.1/Modules/_struct.o
creating build/lib.aix-5.3-2.5
./Modules/ld_so_aix cc_r -bI:Modules/python.exp -DNDEBUG -O build/temp.aix-5.3-2.5/usr/casc/babel/apps/Python-2.5.1/Modules/_struct.o -L/usr/casc/babel/apps/aix/lib -L/usr/local/lib -lpython2.5 -o build/lib.aix-5.3-2.5/_struct.so
ld: 0706-006 Cannot find or open library file: -l python2.5
        ld:open(): No such file or directory
*** WARNING: renaming "_struct" since importing it failed: Could not load module build/lib.aix-5.3-2.5.
System error: No such file or directory
error: No such file or directory
make: The error code from the last command is 1.
 
 
Stop.
bash-2.05a$
bash-2.05a$ uname -a
AIX aaa041 3 5 00C5D6DD4C00

It will compile if I remove 


I work on Babel, a language interoperability tool (see http://www.llnl.gov/CASC/components/ for more information). What I really want is for the standard Python build to make a dynamically loadable libpython that I can dlopen(). Now, Babel can't support Python server code on AIX because we can't dlopen(libpython.a) or dlopen(libpython.so) and start up the Python interpreter.
msg32526 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-07-21 09:22
--enable-shared is not supported on AIX. Would you like to contribute a patch?
msg115264 - (view) Author: Sébastien Sablé (sable) Date: 2010-08-31 13:42
I proposed a patch in issue 941346 to correct this same problem with Python 2.6.6.

regards
History
Date User Action Args
2010-08-31 13:42:05sablesetnosy: + sable
messages: + msg115264
2010-04-29 18:05:58terry.reedysetstatus: pending -> closed
resolution: out of date
2009-04-06 10:34:39ajaksu2setstatus: open -> pending
priority: normal -> low
stage: test needed
type: enhancement
versions: + Python 3.1, Python 2.7, - Python 2.5
2007-07-18 17:11:22tepperlycreate